# $Revision: 1.33 $, $Date: 2003/08/18 08:08:01 $
Summary:	Tiny editor
Summary(pl):	Mikroedytorek
Name:		e3
Version:	2.43
Release:	1
License:	GPL
Group:		Applications/Editors
Source0:	http://www.sax.de/~adlibit/%{name}-%{version}.tar.gz
# Source0-md5:	d053f6f6bfc4619a5a3a147a498e22a2
Source1:	%{name}-editor.sh
URL:		http://www.sax.de/~adlibit/
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip 1
%define		_use_internal_dependency_generator 0

%description
e3 is a text micro editor with a code size less than 10000 bytes.
Except for 'undo' and 'syntax highlighting', e3 supports all of the
basic functions one expects. If you have installed the stream editor
'sed' or 'ex' you can use these tools as sub-processes, getting the
full power of regular expressions. e3 can use Wordstar-, EMACS-, Pico,
Nedit or vi-like key bindings, whichever the user chooses. e3 is
designed to be INDEPENDENT OF LIBC OR ANY OTHER library.

%description -l pl
e3 jest mikroskopijnym wrcz edytorem tekstu, jego rozmiar nie
przekracza 10000 bajtw. Wspiera on wszystkie podstawowe funkcje,
jakich mona oczekiwa od edytora, z wyjtkiem podwietlania skadni i
cofania dokonanych zmian (undo). Jesli chcesz skorzysta z potgi
wyrae regularnych, to e3 moe wywoa zewntrzny edytor strumieni
('sed' lub 'ex'). e3 potrafi emulowa ustawienia klawiszy Wordstara,
EMACSA, Pico, Nedit oraz vi. e3 nie jest zaleny od adnej biblioteki
(wliczajc glibc).

%prep
%setup -q

# gzexe makes problems
# we gain 3K only
perl -pi -e 's/^.*gzexe e3.*$//' Makefile

%build
%ifarch %{ix86}
%{__make}
%endif
%{__cc} %{rpmcflags} %{rpmldflags} -DLIBDIR=\"%{_libdir}\" e3c/e3.c -o e3c.bin

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}}
%ifarch %{ix86}
install e3 $RPM_BUILD_ROOT%{_bindir}/e3
%else
ln -sf e3c $RPM_BUILD_ROOT%{_bindir}/e3
%endif

install e3c.bin $RPM_BUILD_ROOT%{_bindir}/e3c

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/e3-editor.sh
install e3.man $RPM_BUILD_ROOT%{_mandir}/man1/e3.1
install e3c/e3c.man $RPM_BUILD_ROOT%{_mandir}/man1/e3c.1

install e3c/*.{hlp,res} $RPM_BUILD_ROOT%{_libdir}

for i in ws em pi vi ne; do
	ln -sf e3 $RPM_BUILD_ROOT%{_bindir}/e3${i}
done

for i in emacs vi pico ne ws; do
	ln -sf e3-editor.sh $RPM_BUILD_ROOT%{_bindir}/e3-$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc ChangeLog README
%{_mandir}/man1/*
%{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: e3.spec,v $
Revision 1.33  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/30 13:21:21  qboosh
- merged lost change:
  Revision 1.30  2003/05/23 16:37:52  malekith
  - disable internal_dependency_generator (for rpm 4.3), thnx wiget

Revision 1.31  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.30  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/05/15 23:05:56  qboosh
- 2.43 (bugfix)

Revision 1.28  2003/03/29 21:04:43  areq
- 2.42

Revision 1.27  2003/03/02 11:47:31  areq
- 2.41

Revision 1.26  2002/05/21 20:00:52  pioklo
- up to 2.33,new %doc,STBR

Revision 1.25  2002/04/25 16:14:07  arturs
fixed a small typo

Revision 1.24  2002/03/15 14:18:00  malekith
- dropped uclibc stuff
- rel 5

Revision 1.23  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/19 18:53:33  gotar
- %desc

Revision 1.20  2002/01/22 13:52:58  malekith
- rel 4
- added missing links in /shared/*

Revision 1.19  2002/01/21 17:22:51  malekith
- BOOT -> embed
- rel 4

Revision 1.18  2002/01/20 15:03:36  juandon
- chnaged e3-1.61-Polish_letters.patch
- STBR

Revision 1.17  2002/01/19 16:40:41  juandon
- added Polish_letters.patch (I'd got '.' instead of some capital letters)
- Release 3.

Revision 1.16  2002/01/18 02:12:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/30 17:18:58  qrczak
- e3-short_jump.patch: correct "e3.asm:1062: error: short jump is out
  of range". How it worked before?
- Release 2.

Revision 1.14  2001/07/22 07:28:32  migo
- added the e3 binary to the package :-)

Revision 1.13  2001/07/20 10:11:04  migo
- extended description, added pl description

Revision 1.12  2001/06/11 00:44:47  klakier
- automatic stripping off (makes problems and is not necessary)

Revision 1.11  2001/06/11 00:33:52  klakier
- gzexe turned off

Revision 1.10  2001/06/10 23:47:52  klakier
- ver 1.61

Revision 1.9  2001/06/09 13:24:35  areq
- 1.6, STBR

Revision 1.8  2001/05/17 22:10:02  kloczek
- typo in %install.

Revision 1.7  2001/05/16 22:09:22  kloczek
- final cleanups.

Revision 1.6  2001/05/16 21:45:53  serek
- added nasm to buildrequires.

Revision 1.5  2001/05/16 21:41:48  klakier
- removed makefile.patch (obsoleted)

Revision 1.4  2001/05/09 13:41:34  klakier
- ver 1.51
  added URLs

Revision 1.3  2001/04/15 08:05:04  klakier
- small fix

Revision 1.2  2001/04/04 19:59:52  klakier
- added exclusivearch

Revision 1.1  2001/04/04 19:58:32  klakier
- small editor
